﻿using System.Collections.Generic;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Navigation;

namespace adx_ol_cs_PaneLocation
{
    /// <summary>
    /// Interaction logic for UserControl2.xaml
    /// </summary>
    public partial class UserControl2 : UserControl
    {
        public List<ALink> LinkCollection = new List<ALink>();
        public UserControl2()
        {
            InitializeComponent();

            LinkCollection.Add(new ALink("web site", "https://www.add-in-express.com"));
            LinkCollection.Add(new ALink("product home page", "https://www.add-in-express.com/add-in-net/index.php"));
            LinkCollection.Add(new ALink("product downloads", "https://www.add-in-express.com/downloads/adxnet.php"));
            LinkCollection.Add(new ALink("technical blog", "https://www.add-in-express.com/creating-addins-blog/"));
            LinkCollection.Add(new ALink("forum", "https://www.add-in-express.com/forum/list.php?FID=5"));
            LinkCollection.Add(new ALink("", ""));
            LinkCollection.Add(new ALink("download manual", "https://www.add-in-express.com/bitrix/rd.php?event1=download&event2=docs&event3=net&goto=/files/docs/adxnet100.pdf"));
            LinkCollection.Add(new ALink("sample projects", "https://www.add-in-express.com/creating-addins-blog/2020/07/01/sample-com-addin-projects-outlook-excel-powerpoint-word/"));
            LinkCollection.Add(new ALink("download this project", "https://www.add-in-express.com/files/howtos/vb/addinExpressRegionsInOutlook-VB.zip"));
            LinkCollection.Add(new ALink("", ""));
            LinkCollection.Add(new ALink("on WebViewPane layout", "https://www.add-in-express.com/creating-addins-blog/2017/12/01/outlook-ignore-webviewurl-webviewon/"));
            LinkCollection.Add(new ALink("", ""));
            LinkCollection.Add(new ALink("multi-DPI research, part 1", "https://www.add-in-express.com/creating-addins-blog/2021/05/25/windows-mutli-dpi-scaling-in-an-office-com-add-ins/"));
            LinkCollection.Add(new ALink("multi-DPI research, part 2", "https://www.add-in-express.com/creating-addins-blog/2021/06/10/office-addins-dpi-awareness-research-analysis/"));
            LinkCollection.Add(new ALink("multi-DPI research, part 3", "https://www.add-in-express.com/creating-addins-blog/2021/06/17/dpi-scaling-details-office-addins/"));
            LinkCollection.Add(new ALink("", ""));
            LinkCollection.Add(new ALink("contact Add-in Express support", "https://www.add-in-express.com/support/askus.php"));
            theListView.ItemsSource = LinkCollection;
        }

        private void Hyperlink_RequestNavigate(object sender, RequestNavigateEventArgs e)
        {
            Logging.Log.Add("Hyperlink_RequestNavigate", (sender as Hyperlink).NavigateUri.AbsoluteUri);
            System.Diagnostics.Process.Start((sender as Hyperlink).NavigateUri.AbsoluteUri);// (e.Uri.AbsoluteUri);
            e.Handled = true;
        }
    }

    public class ALink
    {
        public string Description { get; set; }
        public string Link { get; set; }
        public ALink(string description, string link)
        {
            Link = link;
            Description = description;
        }
    }
}
